#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;


int N,M;


int main() {
    cin>>N>>M;
    if(N!=M) {
        cout<<-1;
        return 0;
    }
    for(int i=0;i<N;i++) cout<<"1 ";
    cout<<endl;
    for(int i=0;i<N-1;i++){
        cout<<"1 ";
        for(int j=1;j<=N-2-i;j++) cout<<"0 ";
        for(int j=1;j<=i+1;j++) cout<<"1 ";
        cout<<endl;





    }







    return 0;
}